/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import {OPEN_MODAL} from './eventsDefinitions';

export const iframeHandlerModalNamespace = 'iframe-handler-modal_';
export let counter = 0;
export const iframeInitialHandlerModalId = `${iframeHandlerModalNamespace}${counter}`;

Liferay.on('endNavigate', () => {
	counter = 0;
});

export function getIframeHandlerModalId() {
	return `${iframeHandlerModalNamespace}${counter++}`;
}

export function isPageInIframe() {
	return window.location !== window.parent.location;
}

export function initializeIframeListeners() {
	Liferay.on(OPEN_MODAL, (payload) => {
		window.top.Liferay.fire(OPEN_MODAL, {
			...payload,
			id: iframeInitialHandlerModalId,
		});
	});
}
