/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayList from '@clayui/list';
import PropTypes from 'prop-types';
import React from 'react';

function Example({items}) {
	return (
		<ClayList className="bg-white mb-0 p-3">
			<pre className="mb-0 text-wrap">{JSON.stringify(items)}</pre>
		</ClayList>
	);
}

Example.propTypes = {
	dataRenderers: PropTypes.object,
	dataSetDisplayContext: PropTypes.any,
	items: PropTypes.array,
};

Example.defaultProps = {
	items: [],
};

export default Example;
